import React from "react";
import { SettingLevel } from "../../../settings/SettingLevel";
interface IProps {
    name: string;
    level: SettingLevel;
    roomId?: string;
    label?: string;
    isExplicit?: boolean;
    useCheckbox?: boolean;
    hideIfCannotSet?: boolean;
    onChange?(checked: boolean): void;
}
interface IState {
    value: boolean;
}
export default class SettingsFlag extends React.Component<IProps, IState> {
    private readonly id;
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private getSettingValue;
    private onSettingChange;
    private onChange;
    private checkBoxOnChange;
    private save;
    render(): React.ReactNode;
}
export {};
